Myibidder.com Forums
Myibidder.com|Forums|Register|Donate
User Id
Password
Forums logins require a separate registration.
No login yet? Register here
Forums IndexNew TopicReply
 
Myibidder Support for Web-based service
Web-based interface support
MacWhite: html bugs, shown in FF 2 Mon Mar 16, 2009 10:32 AM Quote
traut
Experienced Sniper
Avatar
Posts: 134
Member Since: Aug 25, 2008

Hi,

I just checked the new style Mac White.

Unfortunately it does not show up properly: within the left column the first line is shown properly, while all further lines are moved rightwards out of the column area.

I don't know the exact reason yet, but I found some minor errors via the validator:

* <input should end in />
* <option needs selected="selected"> instead of selected for xhtml

Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 02:18 PM Quote
Sashka
Support
Avatar
Posts: 3652
Member Since: Feb 13, 2008
Location: www.myibidder.com

First, thanks for your feedback.

If you could post a screenshot here, that would be nice.

Do you use Firefox 2.0? I would suggest you to upgrade it to the latest 3.0.7 as 2.0 is not supported anymore:
http://www.mozilla.com/en-US/firefox/all.html
If you still want to stay with 2.0, please update it to 2.0.0.20 at least as it has many fixes (including page rendering):
http://www.mozilla.com/en-US/firefox/all-older.html

Those errors reported by validator won't affect the rendering.
I could not find error #1 on the main page, but I updated error #2 as "selected" should be with a parameter as suggested.

Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 02:36 PM Quote
traut
Experienced Sniper
Avatar
Posts: 134
Member Since: Aug 25, 2008

Sashka wrote:
First, thanks for your feedback.

If you could post a screenshot here, that would be nice.


Done



Do you use Firefox 2.0? I would suggest you to upgrade it to the latest 3.0.7 as 2.0 is not supported anymore:


I do have no choice on this computere here. FF3 lacks some essential lib files which are incompatible, where other tools do need the former versions.



If you still want to stay with 2.0, please update it to 2.0.0.20 at least as it has many fixes (including page rendering):


That's a good idea.



Those errors reported by validator won't affect the rendering.
I could not find error #1 on the main page, but I updated error #2 as "selected" should be with a parameter as suggested.


I did not see anything obvious as the major reason, while I used the validator for the html only, but not including the .css. Since XP2007 does work, there seems to be some other problem somewhere.

[attached picture]

Download MacWhite.png



Last edited on Mon Mar 16, 2009 02:37 PM.
Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 02:53 PM Quote
Sashka
Support
Avatar
Posts: 3652
Member Since: Feb 13, 2008
Location: www.myibidder.com

traut wrote:


Do you use Firefox 2.0? I would suggest you to upgrade it to the latest 3.0.7 as 2.0 is not supported anymore:

I do have no choice on this computere here. FF3 lacks some essential lib files which are incompatible, where other tools do need the former versions.

Hopefully, that will be resolved soon for you as there are very few users who still use FF2.

traut wrote:
I did not see anything obvious as the major reason, while I used the validator for the html only, but not including the .css. Since XP2007 does work, there seems to be some other problem somewhere.

XP2007 is a very old skin which uses bunch of tables and good for old browsers.
MacWhite is based on CSS-styles mainly which may not be friendly for old browsers.

We have a re-write of XP2007 to CSS-style and at some point I'll move it as a default skin. However, I'll keep XP2007 anyway for compatibility as there are always some users who can't upgrade for one reason or another.

Anyway, I'll see how can I minimize this incompatibility to make this transition as easy as possible.

P.S.: thanks a lot for the screenshot.

Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 03:24 PM Quote
traut
Experienced Sniper
Avatar
Posts: 134
Member Since: Aug 25, 2008

Sashka wrote:

Do you use Firefox 2.0? I would suggest you to upgrade it to the latest 3.0.7 as 2.0 is not supported anymore:


I checked with 2.0.0.20 again - it's exactly the same.


P.S.: thanks a lot for the screenshot.


You're more than welcome. It's you, doing us a major favor.

Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 04:21 PM Quote
Sashka
Support
Avatar
Posts: 3652
Member Since: Feb 13, 2008
Location: www.myibidder.com

traut wrote:
Sashka wrote:

Do you use Firefox 2.0? I would suggest you to upgrade it to the latest 3.0.7 as 2.0 is not supported anymore:

I checked with 2.0.0.20 again - it's exactly the same.

I was able to find some Linux box with Firefox 2.0.0.17 on it so I made some updates to MacWhite skin to be compatible.
Please check when you have a moment.

Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 04:25 PM Quote
traut
Experienced Sniper
Avatar
Posts: 134
Member Since: Aug 25, 2008

Thanks, you fixed it!

[attached picture]

Download MacWhite1.png



Last edited on Mon Mar 16, 2009 04:29 PM.
Rate: - Rate: Reset Rate: +  Reply Top Last Message
 Mon Mar 16, 2009 05:00 PM Quote
Sashka
Support
Avatar
Posts: 3652
Member Since: Feb 13, 2008
Location: www.myibidder.com

Cool. Thanks for testing and reporting it to me.

Rate: - Rate: Reset Rate: +  Reply Top Last Message
Forums IndexNew TopicReply
 
All times are GMT . The time is 01:09pm.
Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2007, Jelsoft Enterprises Ltd.